package com.wcs.back.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 指令Vo
 *
 * @author zf
 * @date 2023-01-05
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DirectivesVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 拆零口
     */
    private String pickingPort;

    /**
     * 指令: 10-滚筒前进, 20-回库滚筒前进, 30-整体前进, 40-取走空料箱
     */
    private String directive;

    /**
     * 备用字段
     */
    private String data1;
    /**
     * 备用字段
     */
    private String data2;
    /**
     * 备用字段
     */
    private String data3;
    /**
     * 备用字段
     */
    private String data4;
    /**
     * 备用字段
     */
    private String data5;
    /**
     * 备用字段
     */
    private String data6;
}
