package com.wcs.back.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 滚筒线任务Vo
 *
 * @author zf
 * @date 2023-01-05
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DrumLineTaskVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 任务号
     */
    private String taskNo;

    /**
     * 拣零口
     */
    private String pickingPort;

    /**
     * 分拣口
     */
    private String packagingPort;

    /**
     * 业务号
     */
    private String businessNo;

    /**
     * 任务创建时间
     */
    private String buildTime;

    /**
     * 备用字段
     */
    private String data1;
    /**
     * 备用字段
     */
    private String data2;
    /**
     * 备用字段
     */
    private String data3;
    /**
     * 备用字段
     */
    private String data4;
    /**
     * 备用字段
     */
    private String data5;
    /**
     * 备用字段
     */
    private String data6;
}
