package com.wcs.back.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 海康响应
 *
 * @author zf
 * @date 2024/2/29
 */
@Data
public class HkResult implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 返回码::0-成功 */
    @ApiModelProperty("返回码::0-成功 ")
    private String code;

    /** 返回消息 */
    @ApiModelProperty("返回消息")
    private String message;

    /** 请求编号 */
    @ApiModelProperty("请求编号")
    private String reqCode;

    /** 自定义返回（返回任务单号） */
    @ApiModelProperty("自定义返回（返回任务单号）")
    private String data;
}
